%define	name	knemo
%define	version	0.3.1
%define	rel	4
%define	release	%mkrel %{rel}
%define	Summary	The KDE Network Monitor

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		Graphical desktop/KDE
Source0:	%{name}-%{version}.tar.bz2
URL:		http://kde-apps.org/content/show.php?content=12956

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
Requires:	wireless-tools

%description
KNemo offers a network monitor similar to the one found in Windows. 
For every network interface it displays an icon in the systray.

Features:
* support for ethernet (including wireless) and ppp connections
* the icon shows incoming/outgoing traffic
* hiding of icon when the interface is not available
* automatic detection of wireless extensions for ethernet interfaces
* left-clicking on an icon displays a status dialog with information
  about the selected interface (2nd click hides dialog)
* configuration via context menu or control center module
  (Internet & Network/Network Monitor)
* customizable tooltip for quick access to often needed information
* you can activate 2 custom entries for the context menu. They can 
  have custom text and a command to run when selected. You can even 
  select if the commands need root permissions or not.
* automatic detection of available interfaces (click on 'Default' in 
  the configuration dialog and KNemo will look under /proc/net/dev for
  interfaces)
* KNemo uses more standard icon names which allows support from other
  icon themes.

Please make sure that in the settings the paths for 'ifconfig' and 'iwconfig'
are correct and that both programs are installed.

IMPORTANT: KNemo is not an executable but an KDED service. Therefore 
it has to be started using Control Center/KDE Components/Service Manager. 

%prep
%setup -q

%build
%configure	--disable-rpath \
		--enable-final \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-qt-libraries=%{_prefix}/lib/qt3/%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall

# We need some way for knemo to find it kcm module
# suggested patch on URL seems wrong!
# What is this about? This seem wrong too. But it works!
mkdir -p %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl %{name} Configuration/KDE/Network %{buildroot}%{_datadir}/applnk/Settings/Network/kcm_knemo.desktop %{buildroot}%{_menudir}/kcm-%{name} kde
%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/kde3/kcm_knemo.la
%{_libdir}/kde3/kcm_knemo.so
%{_libdir}/kde3/kded_knemod.la
%{_libdir}/kde3/kded_knemod.so
%{_datadir}/applnk/Settings/Network/kcm_knemo.desktop
%{_datadir}/services/kded/knemod.desktop

# What is this about?
%{_menudir}/kcm-%{name}

%{_datadir}/icons/*/*/actions/*.png
%{_datadir}/icons/*/*/apps/*.png

%{_datadir}/apps/knemo/eventsrc

%changelog
* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.3.1-4
- Rebuild

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.1-3mdk
- fix lib64 path to qt3
- use %%find_lang
- --enable-final
- fix requires
- %%mkrel

* Sat Mar 19 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.3.1-1mdk
- rebuild

* Fri Oct 01 2004 Nick Brown <nickbrown@mandrake.org> 0.3.1-1mdk
- 0.3.1

* Mon Sep 13 2004 Nick Brown <nickbrown@mandrake.org> 0.3.0-1mdk
- 0.3.0
- fixed packaging of locale

* Tue Aug 24 2004 Nick Brown <nickbrown@mandrake.org> 0.2.3-1mdk
- 0.2.3

* Fri Aug 20 2004 Nick Brown <nickbrown@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.0-1mdk
- 0.2.0

* Tue Jul 13 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.1.10-1mdk
- New release 1.10
- remove ipv6 interface patch, fixed upstream
- Requires /sbin/ifconfig /sbin/iwconfig
* Fri Jun 25 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.1.8-1mdk
- First Mandrake release
